x0    = 0;
niter = 1000;
f     = @(x) x*exp(x)-1;

% Phi1
fprintf('Fixpunkt mit phi1 \n')
phi1 = @(x) exp(-x);
x1   = fixpunkt(phi1,x0,niter);
% Ueberpruefung
fprintf('  f(x1) = %.3f \n',f(x1))

% Phi2
fprintf('Fixpunkt mit phi2 \n')
phi2 = @(x) ((x^2)*exp(x) + 1)/(exp(x)*(x+1));
x2   = fixpunkt(phi2,x0,niter);
% Ueberpruefung
fprintf('  f(x2) = %.3f \n',f(x2))

% Phi3
fprintf('Fixpunkt mit phi3 \n')
phi3 = @(x) x + 1 - x*exp(x);
x3   = fixpunkt(phi3,x0,niter);
% Ueberpruefung
fprintf('  f(x3) = %.3f \n',f(x3))
